diff --git a/notebook_nueva/battery_holder.py b/notebook_nueva/battery_holder.py index 0ab21ef..57f6beb 100644 --- a/notebook_nueva/battery_holder.py +++ b/notebook_nueva/battery_holder.py @@ -124,43 +124,45 @@ def add( shell_t ): - # Vents - for vent in vents: - model = punch_hole2( - model=model, - face=bottom_face, - w=width, - h=height, - x_offset=offset_x + vent["x"], - y_offset=shell_t + offset_y + vent["y"], - hole=vent, - depth=shell_t, - ) + if bottom_face: + # Vents + for vent in vents: + model = punch_hole2( + model=model, + face=bottom_face, + w=width, + h=height, + x_offset=offset_x + vent["x"], + y_offset=shell_t + offset_y + vent["y"], + hole=vent, + depth=shell_t, + ) - # Battery holder stands and pogo pin holder - for element in elements: - model = extrude_shape( - model=model, - face=bottom_face, - w=width, - h=height, - x_offset=offset_x + element["x"], - y_offset=shell_t + offset_y + element["y"], - shape=element["shape"], - height=-(element["height"] + shell_t), - ) + # Battery holder stands and pogo pin holder + for element in elements: + model = extrude_shape( + model=model, + face=bottom_face, + w=width, + h=height, + x_offset=offset_x + element["x"], + y_offset=shell_t + offset_y + element["y"], + shape=element["shape"], + height=-(element["height"] + shell_t), + ) - # Holes - for hole in holes: - model = punch_hole2( - model=model, - face=back_face, - w=width, - h=thickness, - x_offset=width - offset_x, - y_offset=shell_t, - hole=hole, - depth=shell_t, - ) + if back_face: + # Holes + for hole in holes: + model = punch_hole2( + model=model, + face=back_face, + w=width, + h=thickness, + x_offset=width - offset_x, + y_offset=shell_t, + hole=hole, + depth=shell_t, + ) return model diff --git a/notebook_nueva/modelo.py b/notebook_nueva/modelo.py index e6b7626..6e18034 100644 --- a/notebook_nueva/modelo.py +++ b/notebook_nueva/modelo.py @@ -200,7 +200,7 @@ def model(): offset_x=cpu_offset_x, offset_y=cpu_offset_y, bottom_face="